Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454302

Summary: Review Request: npush - A logic game similar to Sokoban
Product: [Fedora] Fedora Reporter: Stefan Posdzich <cheekyboinc>
Component: Package ReviewAssignee: Brian Pepple <bdpepple>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---Flags: bdpepple: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-09 19:29:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stefan Posdzich 2008-07-07 15:58:58 UTC
Spec: http://cheekyboinc.spielen-unter-linux.de/npush.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/npush-0.6-1.fc9.src.rpm

Description:

nPush is a logic game similar to Sokoban and Boulder Dash. 
You need to collect all the gold on the level and reach the exit. 
To make it hard there are some rocks that stand in your way,
and you also have some dynamite to blast them away. 
Main difference from Sokoban, KSokoban and similar games is that you 
can have multiple player-controlled characters you can move on the screen.

nPush is a terminal based application and uses nCurses library for 
user interface.

Comment 1 Brian Pepple 2008-07-08 00:38:01 UTC
MD5Sum:
6670aac74dd7db005462c11c5688db52  npush-0.6.tgz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Valid license tag
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* rpmlint produces no errors or warnings.

+1 APPROVE

Comment 2 Stefan Posdzich 2008-07-08 10:53:48 UTC
New Package CVS Request
=======================
Package Name: npush
Short Description: a logic game similar to Sokoban
Owners: cheekyboinc
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 3 Kevin Fenzi 2008-07-09 16:58:58 UTC
cvs done.

Comment 4 Fedora Update System 2008-07-12 18:14:27 UTC
npush-0.7-1.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-07-12 18:15:06 UTC
npush-0.7-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-15 12:14:59 UTC
npush-0.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-07-15 12:17:30 UTC
npush-0.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.